## mailleds 0.93

=== Makefile ===
# Makefile for mailleds-0.9-beta
CC = gcc
CFLAGS = -c -O2 
#CFLAGS = -c -O2 -g -Wall 
LDFLAGS = 
LN = ln -sf

#LIBS = 
LIBS = -L/usr/X11R6/lib/ -lX11

USE_X=yes
#USE_X=no

# -DPARALELL_SUPPORT will compile support for leds driven off
#	a bank connected to a port, like the one found in led-stat.txt
#
# -DDEBUG removes the call to fork(), making mailleds easier to debug.
#
#DEFINES = -DDEBUG -DPARALLEL_SUPPORT 

DEFINES = -DPARALLEL_SUPPORT 
BASEDIR = /usr/local
MANDIR = $(BASEDIR)/man/man1
BINDIR = $(BASEDIR)/bin
#XBINDIR is just for the xmailleds symlink
XBINDIR = /usr/X11R6/bin

INSTALLMAN = install -m 0644 
INSTALLBIN = install -o root -g bin

# probably no editing needed below here.

DIST		= mailleds
VERMAJ		= 0
VERMIN		= 93
VERSION		= $(VERMAJ).$(VERMIN)

ifeq ($(USE_X), yes)
	XDEFS=-DX_SUPPORT
endif

OBJS	= xmalloc.o mailleds.o mailfile.o leds.o tty.o pid.o X.o

.c.o: 
	$(CC) $(CFLAGS) $(DEFINES) $(XDEFS) $< -DVERSION=\"$(VERSION)\"

mailleds: $(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) -o mailleds $(LIBS)

all: mailleds
	
clean:
	rm -f *.o mailleds

install_man:
	$(INSTALLMAN) mailleds.1 $(MANDIR)
	
install_bin:
	$(INSTALLBIN) -m 4755 mailleds $(BINDIR)
ifeq ($(USE_X), yes)
	$(LN) mailleds $(XBINDIR)/xmailleds
endif

install: mailleds install_man install_bin

# To let the author make a distribution.
LSMFILE		= $(DIST)-$(VERSION).lsm
DISTDIR		= $(DIST)-$(VERSION)
DISTFILE	= $(DIST)-$(VERSION).tar.gz
DISTFILES	= mailleds.c tty.c leds.c mailfile.c xmalloc.c pid.c \
		  mailleds.h port.h config.h led-stat.txt portato.c.diff X.c \
		  README $(LSMFILE) COPYING HISTORY $(DIST).1 INSTALL TODO Makefile

$(LSMFILE): FORCE
	VER=$(VERSION); \
	DATE=`date "+%d%b%y"|tr '[a-z]' '[A-Z]'`; \
	sed -e "s/VER/$$VER/g;s/DATE/$$DATE/g" $(DIST).lsm.in > $(LSMFILE)

FORCE:

veryclean: clean
	rm -f $(DIST)-$(VERSION).tar.gz

chmod:
	chmod a+r *

# Warning: distclean removes the lsm-file, which can not be
# regenerated without the lsm.in-file, which is not part of the package.
distclean: veryclean
	rm -f $(LSMFILE)

dist: $(LSMFILE) chmod
	mkdir $(DISTDIR)
	chmod a+rx $(DISTDIR)
	ln $(DISTFILES) $(DISTDIR)
	tar -cvzf $(DISTFILE) $(DISTDIR)
	chmod a+r $(DISTFILE)
	rm -rf $(DISTDIR)

X.o: X.c
leds.o: leds.c config.h mailleds.h port.h
mailfile.o: mailfile.c config.h mailleds.h
mailleds.o: mailleds.c config.h mailleds.h
pid.o: pid.c config.h mailleds.h
setled.o: setled.c port.h
tty.o: tty.c config.h mailleds.h
xmalloc.o: xmalloc.c

=== debian/changelog ===
mailleds (0.93-14) unstable; urgency=low

  [ tony mancill ]
  * QA upload.
  * debian/control
    - (Maintainer): Set to QA address
  * debian/source/format
    - Set to "3.0 (quilt)"
  * Add lintian overrides file for SUID warning.

  [ Jari Aalto ]
  * debian/compat
    - Update to 7.
  * debian/control
    - (Build-Depends): Change x-dev to x11proto-core-dev
      (serious; Closes: #515465). Update to debhelper 7.1.
    - (Depends): add ${misc:Depends}.
    - (Standards-Version): Update to 3.8.4.
  * debian/copyright
    - Update layout.
  * debian/rules
    - (binary-arch): Install HISTORY.
    - (clean): Fix lintian debian-rules-ignores-make-clean-error.
    - (install): Change dh_clean to dh_prep.

 -- tony mancill <tmancill@debian.org>  Fri, 07 May 2010 20:21:34 -0700

mailleds (0.93-13) unstable; urgency=low

  * There was a NMU in the meantime; keeping the record
  * Fixing depencies mistake

 -- Dennis Stampfer <seppy@debian.org>  Fri, 20 Jan 2006 21:10:58 +0100

mailleds (0.93-12) unstable; urgency=low

  * Depends now on libx11-dev. Closes: #347015
  * Preventing segfault in -k Closes: #309536
  * Using the NMU-Changes. Closes: #329365

 -- Dennis Stampfer <seppy@debian.org>  Fri, 20 Jan 2006 19:18:36 +0100

mailleds (0.93-11.2) unstable; urgency=low

  * Non-maintainer upload
  * Split xlibs-dev build-dep. (Closes: #347015)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 20 Jan 2006 19:41:46 +0100

mailleds (0.93-11.1) unstable; urgency=low

  * NMU
  * Patch from Max Vozeler to fix exploitable pidfile
    umask issue. Closes: #329365

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Oct 2005 17:52:37 -0400

mailleds (0.93-11) unstable; urgency=low

  * xmailleds doesn't die after a while anymore. Closes: #308612
  * Changed "rebuilt by" to "maintained since" in debian/copyright
  * xmailleds installed in /usr/bin instead of /usr/X11R6/bin

 -- Dennis Stampfer <seppy@debian.org>  Fri, 13 May 2005 12:14:20 +0200

mailleds (0.93-10) unstable; urgency=low

  * New Maintainer
  * Improoved description. Closes: #117146, #109443, #125105, #198354
  * .ex files removed. Closes: #117145
  * Some changes to the manpage
  * mailleds works now with X again! Closes: #122755
    Symlink: mailleds -> xmailleds. Closes: #149975
  * Option -k works now with xmailleds or -x again. Closes: #122756
  * Time between flashing the LEDs may now be specified with -i
    Closes: #157787
  * Jasper Spaans' patch for maildir-support applied. Closes: #102028
  * Some lines of Jasper's patch for multiple mailboxes added. Closes: #102030

 -- Dennis Stampfer <seppy@debian.org>  Wed, 25 Aug 2003 18:30:21 +0200

mailleds (0.93-9) unstable; urgency=low

  * add xlib-dev to build-depends Closes: #98472

 -- Michael Bramer <michael@debsupport.de>  Sun, 10 Jun 2001 12:33:57 +0200

mailleds (0.93-8) unstable; urgency=low

  * add debmake to build-depends cloeses. #93715
  * policy-changes:
    - change the copyright file and point to
      /usr/share/common-licenses/GPL
  * Now mailleds has Standards-Version: 3.1.1.0

 -- Michael Bramer <michael@debsupport.de>  Fri, 13 Apr 2001 09:11:57 +0200

mailleds (0.93-7) unstable; urgency=low

  * make a new build with /usr/doc -> /usr/share/doc and
                          /usr/man/ -> /usr/share/man
    closes: #91575, #91208
  * add a patch from Florian Zumbiehl <florz@gmx.de>. With this patch
    mailleds distinguishes between headers and bodys and in the result
    it count the mails the right way. Thanks for the bug and sorry
    about the long time to fix this.
    closes: #82915
  * There is no use of suidmanager, closes: #44076

 -- Michael Bramer <michael@debsupport.de>  Sat,  7 Apr 2001 19:27:06 +0200

mailleds (0.93-6) unstable; urgency=low

  * insert "#include <errno.h>" in pid.c

 -- Michael Bramer <grisu@debian.org>  Sat, 15 Jul 2000 01:05:15 +0200

mailleds (0.93-5) unstable; urgency=low

  * I have remove /usr/bin/xmailleds in this package and change the
    description. /usr/bin/xmailleds don't work. If you have a patch and
    if work /usr/bin/xmailleds with this patch, I make a new upload.

 -- Michael Bramer <grisu@debian.org>  Sat,  2 Oct 1999 00:41:06 +0200

mailleds (0.93-4) unstable; urgency=low

  * change 'chmod 4755' to 'chmod 4755' in rules and make mailleds 
    real suid-root!

 -- Michael Bramer <grisu@debian.org>  Wed, 30 Jun 1999 00:36:04 +0200

mailleds (0.93-3) unstable; urgency=low

  * FIX #30770 (change Makefile and change Architecture: to any in 
    control)

 -- Michael Bramer <grisu@debian.org>  Thu, 17 Dec 1998 20:17:47 +0100

mailleds (0.93-2) unstable; urgency=low

  * add SUID-warning in the description and in a new README.debian
  * insert in the copyright file the new fsf address
  * Switches on the automatic manpage to undocumented
  * change Architecture from any to i386

 -- Michael Bramer <grisu@debian.org>  Wed, 26 Aug 1998 11:27:55 +0200

mailleds (0.93-1) unstable; urgency=low

  * Initial Release.

 -- Michael Bramer <grisu@debian.org>  Thu, 20 Aug 1998 13:23:12 +0200

=== debian/control ===
Source: mailleds
Section: mail
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.1), libx11-dev, x11proto-core-dev
Standards-Version: 3.8.4

Package: mailleds
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Blink the keyboard-LEDs for incoming mail
 NOTE: mailleds is installed SUID root.  If you are in a security-conscious
 environment you should inspect its source code!
 .
 mailleds is a quiet, unobtrusive way to indicate the presence of
 new mail.  It uses a daemon to blink the keyboard LEDs when new
 mail arrives.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
       CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
       INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/mailleds.sgml > mailleds.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/mailleds.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/mailleds


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	chown root $(CURDIR)/debian/mailleds/usr/bin/mailleds
	chmod u+s $(CURDIR)/debian/mailleds/usr/bin/mailleds
	dh_testdir
	dh_testroot
	dh_installchangelogs HISTORY
	dh_installdocs
#	dh_install
	dh_installman
	dh_link usr/share/man/man1/mailleds.1.gz usr/share/man/man1/xmailleds.1.gz
	dh_link usr/bin/mailleds usr/bin/xmailleds
	dh_strip
	dh_compress
	dh_fixperms --exclude mailleds
	dh_lintian
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
